Passer au contenu principal
POST
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
curl --request POST \ --url https://api.aiid.edu.kg/api/v1/services/aigc/video-generation/video-synthesis \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "happyhorse-1.0", "mode": "t2v", "input": { "prompt": "A white horse running through a neon city street, cinematic" }, "parameters": { "resolution": "720P", "ratio": "16:9", "duration": 5 } } '
{
  "id": "task_xxx",
  "output": {
    "task_id": "<string>",
    "task_status": "<string>",
    "video_url": "<string>"
  },
  "usage": {
    "duration": "<string>",
    "SR": "<string>"
  }
}

Autorisations

Authorization
string
header
requis

Utilisez l'authentification Bearer Token. Format : Authorization: Bearer sk-xxxxxx

Corps

application/json
model
enum<string>
requis

Nom du modèle externe de HappyHorse. Le modèle agrégé happyhorse-1.0 doit être utilisé avec mode.

Options disponibles:
happyhorse-1.0,
happyhorse-1.0-t2v,
happyhorse-1.0-i2v,
happyhorse-1.0-r2v,
happyhorse-1.0-video-edit
Exemple:

"happyhorse-1.0-t2v"

input
object
requis
mode
enum<string>

Modele de modèle agrégé, les valeurs courantes sont t2v, i2v, r2v et video_edit. Le sous-modèle fixe est facultatif.

Options disponibles:
t2v,
i2v,
r2v,
video_edit
parameters
object

Réponse

200 - application/json

Tâche créée avec succès

id
string
requis
Exemple:

"task_xxx"

output
object
usage
object